#
# spec file for package python-pyte
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-pyte
Version:        0.5.2
Release:        1.3
Summary:        Simple VTXXX-compatible linux terminal emulator
License:        LGPL-3.0
Group:          Development/Languages/Python
Url:            http://pyte.readthedocs.org/en/latest/
Source:         https://files.pythonhosted.org/packages/source/p/pyte/pyte-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-pytest
BuildRequires:  python-pytest-runner
BuildRequires:  python-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Curses-like terminal wrapper with a display based on compositing 2d
arrays of text.

%prep
%setup -q -n pyte-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%{python_sitelib}/*
%doc LICENSE README AUTHORS CHANGES docs/*rst

%changelog
* Mon Aug 15 2016 badshah400@gmail.com
- Initial package.
